# variables.h File Reference

`#include "tile_type.h"`
`#include "strings_type.h"`

Go to the source code of this file.

## Data Structures

struct | Cheat
struct | Cheats

## Variables

VARDEF uint16 | _tick_counter
VARDEF byte | _age_cargo_skip_counter
VARDEF TileIndex | _cur_tileloop_tile
VARDEF uint16 | _disaster_delay
VARDEF uint16 | _station_tick_ctr
VARDEF uint32 | _cur_town_ctr
VARDEF uint32 | _cur_town_iter
VARDEF uint | _cur_player_tick_index
VARDEF uint | _next_competitor_start
VARDEF byte | _trees_tick_ctr
VARDEF int | _saved_scrollpos_x
VARDEF int | _saved_scrollpos_y
VARDEF Cheats | _cheats
VARDEF int | _palette_animation_counter
VARDEF uint32 | _frame_counter
VARDEF uint32 | _realtime_tick
VARDEF bool | _is_old_ai_player
VARDEF bool | _do_autosave
VARDEF int | _autosave_ctr
VARDEF byte | _display_opt
VARDEF int | _caret_timer
VARDEF bool | _rightclick_emulate
VARDEF TileIndex | _build_tunnel_endtile
VARDEF bool | _generating_world
VARDEF byte | _switch_mode
VARDEF StringID | _switch_mode_errorstr
VARDEF char | _savegame_format [8]
VARDEF char * | _config_file
VARDEF char * | _highscore_file
VARDEF char * | _log_file
const byte | _tileh_to_sprite [32]
bool | _draw_bounding_boxes
VARDEF char | _screenshot_name [128]
VARDEF byte | _vehicle_design_names
VARDEF bool | _dedicated_forks

## Detailed Description

Definition in file variables.h.